# Uses of Class
org.astrogrid.samp.util.ResourceType

Packages that use ResourceType
Package
Description
org.astrogrid.samp.util

## Uses of ResourceType in org.astrogrid.samp.util

Fields in org.astrogrid.samp.util declared as ResourceType
Modifier and Type
Field
Description
`static final ResourceType`
ResourceType.`RTYPE_CDF`
Resource type for table.load.cdf.
`static final ResourceType`
ResourceType.`RTYPE_FITS`
Resource type for image.load.fits.
`static final ResourceType`
ResourceType.`RTYPE_VOTABLE`
Resource type for table.load.votable.
Methods in org.astrogrid.samp.util that return ResourceType
Modifier and Type
Method
Description
`static ResourceType[]`
ResourceType.`getKnownResourceTypes()`
Returns the known resource types.
`static ResourceType`
ResourceType.`readContentResourceType(URL url)`
Attempts to determine the resource type of a given URL by downloading the first part of its content and examining the magic number.
`static ResourceType`
ResourceType.`readHeadResourceType(URL url)`
Attempts to determine the resource type of a given URL by making an HTTP HEAD request and looking at the Content-Type.
Constructors in org.astrogrid.samp.util with parameters of type ResourceType
Modifier
Constructor
Description
``
`SampLoad(GuiHubConnector connector, ResourceType rtype, URL url, String location)`
Constructor.